2004-11-18  Phil Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (check-source): Check for existence of
	control file, not just familiar/ directory.

2004-03-13  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (dist): Don't exclude *.d.

2004-03-07  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (clean-dist-translation): Remove temporary
	files.
	(clean): Also depend on clean-dist-translation.

	* Makefile.dpkg_ipkg (clean-dist): Remove familiar/dist and
	familiar/dist.list.
	(clean): Also depend on clean-dist.
	(ipkg): Clean away familiar/dist and familiar/dist.list after
	packaging.

	* Makefile.translation (real-translation-package): Pass "-g 0 -o 0"
	to ipkg-build.  Remove chown command.

	* Makefile.dpkg_ipkg (LDFLAGS): Put debug/optimisation stuff in
	CFLAGS/LDFLAGS, not STANDARD_CFLAGS/STANDARD_LDFLAGS.
	(.c.o): New rule.  Use $(PACKAGE_CFLAGS) and $(PACKAGE_CPPFLAGS).

2004-02-22  Luc Pionchon <luc@handhelds.org>

	* extract-linguas: New file, extract linguas from a 'postats' file from TP
	* Makefile.translation-auto-linguas: Temporary file for test, to be merged later with Makefile.translation.

2004-02-22  Luc Pionchon <luc@handhelds.org>

	* Makefile.translation (TRANSLATION_SITE): removed trailing '/'
	* Makefile.translation (templates): use $(BUILD) variable to allow use from anywhere (especially from gpe/games/*)

2004-02-22  Luc Pionchon <luc@handhelds.org>

	* Makefile.dpkg_ipkg (printinfo): remind the current value of $USER

2004-02-08  Phil Blundell  <pb@nexus.co.uk>

	* Makefile.dpkg_ipkg (GPECFLAGS, GPELIBS): Only define if not
	IN_LIBGPEWIDGET.

2003-10-19  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (dist): Don't exclude "familiar" directory
	from the tarball.
	(STANDARD_CPPFLAGS, STANDARD_CFLAGS, STANDARD_LDFLAGS): New.

2003-10-13  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (dist): Exclude *.batch,
	translation-ipkgs.txt.
	(GPECFLAGS, GPELIBS): Remove $(eval) gubbins.
	(GTKCFLAGS, GTKLIBS): Likewise.

2003-10-09  Philip Blundell  <philb@gnu.org>

	* familiar/control.translation: Add <source> tag.
	* Makefile.translation (real-translation-package): Substitute it.

2003-10-08  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (TRANSLATION_SITE): Update with new URL.

2003-09-14  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (GTKCFLAGS, GTKLIBS): Define.

2003-09-12  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (GPECFLAGS, GPELIBS): Define.

2003-09-12  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg: Add rule to make .pc from .pc.in.

2003-09-06  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (real-translation-package): Parse output
	from ipkg-build to get package filename rather than guessing.

	* Makefile.dpkg_ipkg (ipkg): Build .batch file listing all
	generated packages and their md5sums.

2003-09-06  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (ipkg-prep): Depend on freshen-po if CVSBUILD.
	* Makefile.dpkg_ipkg (ipkg): Depend on ipkg-prep.

2003-09-06  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (clean-po): Delete all generated .desktop
	and .desktop.in.h files.

2003-09-06  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (retag): New.
	* Makefile.translation (dist-prep): Also depend on freshen-po.

2003-09-06  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (all-desktop): New.  Patch from libor
	klepac.

2003-09-05  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (check-source): New, broken out from ipkg
	target.
	(tag, dist): Depend on check-source.

2003-08-05  Colin Marquardt  <colin@marquardt-home.de>

	* README: Mention make source.

	* Makefile.dpkg_ipkg (source): New target depending on the tag and
	dist-upload targets.

2003-08-02  Philip Blundell  <philb@gnu.org>

	* README: Mention make freshen-po too.

2003-08-02  Colin Marquardt  <colin@marquardt-home.de>

	* README: Mention Source: field in the control file; mention
	dist-upload.

2003-08-02  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (ipkg): Refuse to build packages with no
	Source: field.

2003-08-02  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (SOURCE): Define.
	(ipkg): Substitute it into control file.

2003-07-31  Philip Blundell  <philb@gnu.org>

	* x11.pc: New file.

2003-07-07  Moray Allan  <moray@sermisy.org>

	* Makefile.dpkg_ipkg, Makefile.translation: Use familiar/control1 if
	it exists; otherwise use familiar/control. (Previous behaviour was
	dependent on the now-unneeded GTK2 variable.)

2003-06-28  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (dist): Use $(BUILD) as source when copying
	makefiles.

2003-06-28  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (clean): Depend on clean-po.

	* Makefile.dpkg_ipkg: Put Debian files in $(DEB_PATH) rather than
	hardcoding as ../deb.

2003-06-21  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (extract-po): Don't blow up if there are no
	translatable files.

2003-06-12  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (update-po): Don't depend on POT file.
	(extract-po): Lack of output file is not an error.

2003-05-14  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (freshen-po): New target.
	(TRANSLATION_SITE): Define.

2003-04-30  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.dpkg_ipkg (ipkg): Call ipkg-build with '-o 0 -g 0'.

2003-04-21  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (real-translation-package): Convert _ in
	locale name to +, not -.

2003-04-02  Luc Pionchon  <luc@handhelds.org>

	* Makefile.dpkg_ipkg (dist-upload): added "$(USER)@" in case you use another login.

2003-03-31  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.dpkg_ipkg (printinfo): Mention 'make dist-upload'.

2003-03-30  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (install-mo): Add dummy rule.
	(dist-upload): New rule.

2003-03-27  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (.desktop): Use intltool -u.

2003-03-23  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.translation (real-translation-package): Write out list
	of translation packages so that ipkg-upload can handle them
	together.

2003-03-22  Colin Marquardt  <colin@marquardt-home.de>

	* README: Talk about the 'install' target a bit.

	* Makefile.dpkg_ipkg (ipkg): Don't use 'make install' but 'make
	install-program'.

	(install): Depend on both 'install-program' and 'install-mo'. This
	replaces the 'install' target from the app specific makefiles.

2003-03-07  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.translation (dist-prep): New target, depending on
	update-po. Will ultimately get updated from dist target in
	Makefile.dpkg_ipkg.
	
	* Makefile.dpkg_ipkg (dist-prep): New, empty target.
	(dist): Depend on dist-prep.

2003-02-26  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.translation (extract-po): Add
	"--add-comments=TRANSLATORS:" to xgettext call, so that comments
	starting with "TRANSLATORS:" get copied to the .pot file.
 
2003-02-21  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (%.desktop): Generalize from
	$(PACKAGE).desktop.
	(extract-po): Iterate over $(EXTRA_DESKTOPS) as well.

	* familiar/control.translation (Provides): Add <package>-locale.

	* Makefile.translation (real-translation-package): Replace
	$(PACKAGE) with $(BINPACKAGE).
	(BINPACKAGE): Set to $(PACKAGE) if not already defined.

	* Makefile.dpkg_ipkg (ipkg): Make translation-ipkg if LINGUAS is set.

2003-02-20  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (clean-po): Also remove .desktop.in.h.
	(extract-po): Ensure that $(DIR_PO) is created.

2003-02-17  Philip Blundell  <philb@gnu.org>

	* Makefile.translation ($(PACKAGE).desktop): Fix disastrous typo
	in rule.
	(.po.po8): Also rewrite Content-Type header to say charset is now
	UTF-8.

2003-02-17  Philip Blundell  <philb@gnu.org>

	* Makefile.translation ($(PACKAGE).desktop): New rule.
	(extract-po): Extract strings from .desktop file also.

2003-02-15  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (real-translation-package): Renamed from
	translation-package.  Don't run install-mo.  Depend on all-mo.
	Install files with install not cp.  Correct name of installed .po
	file.
	(translation-ipkg): New rule.

2003-02-14  Philip Blundell  <philb@gnu.org>

	* familiar/control.translation: Depend on virtual-locale-CC not
	locale-base-CC.
	
	* Makefile.translation (.po.po8): Use iconv in place of recode.

2003-02-13  Phil Blundell <pb@nexus.co.uk>

	* Makefile.translation: Delete rule calling msgmerge.

2003-02-12  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.translation (CONTROL): Define variable depending on
	GTK2 usage.
	(MAINTAINER): Use $(CONTROL).

	* Makefile.dpkg_ipkg (printtaginfo): Add info about uploading a
	tarball.
	(printinfo): New target, renamed from printtaginfo.

	* README (this): Tell people about
	http://handhelds.org/z/wiki/IpkgHackForLocales.

	* Makefile.dpkg_ipkg (tag): New target for making cvs tags.
	(printtaginfo): Print info about cvs tags, 
	including a nice tag name.

2003-02-01  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (extract-po): Use $(SOURCES).

2003-01-26  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (VERSION): Don't define here.

	* Makefile.dpkg_ipkg (upstream): Delete.
	(dist): Use $(PACKAGE)-$(VERSION) format.  Force CVSBUILD off.
	Include local copies of build makefiles in generated tarball.
	Build in .gz not .bz2.
	(ipkg): Substitute version from $(VERSION) into control file.
	(dpkg): Rewrite in terms of dist.

2003-01-09  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (dist): New.

2003-01-04  Philip Blundell  <philb@gnu.org>

	* Makefile.translation: Don't rebuild .pot from sources
	automatically, only on "make extract-po".

2003-01-01  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (ipkg): Pass DEBUG=no to make install.

2002-12-01  Philip Blundell  <philb@gnu.org>

	* Makefile.translation: Add $(DIR_PO).

2002-11-30  Philip Blundell  <philb@gnu.org>

	* Makefile.translation: Recode .po files into UTF-8.

2002-09-30  Philip Blundell  <philb@gnu.org>

	* Makefile.dpkg_ipkg (CONTROL): Set appropriately for GTK version
	in use.

2002-09-03  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.dpkg_ipkg (ipkg): Depend on the clean target, so that
	all specified defines are fresh (DESTDIR, PREFIX and prefix).

2002-08-21  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.dpkg_ipkg (ipkg): Set prefix=/usr in addition to
	PREFIX=/usr, for autotools apps.

2002-08-11  Philip Blundell  <philb@gnu.org>

	* Makefile.translation (update-po): Depend on .pot file too, so it
	will be updated even if LINGUAS is empty.

2002-08-08  Philip Blundell  <philb@gnu.org>

	* Makefile.translation: New file.  Mostly written by Colin, I just
	moved it here from gpe-calendar.

2002-08-06  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.dpkg_ipkg (ipkg): Test for existence, not for the x bit
	when copying the files in familiar/.

	* familiar/control.translation (Provides): Add this field.

2002-08-05  Colin Marquardt  <colin@marquardt-home.de>

	* familiar/postinst.translation, familiar/control.translation: New
	file.

2002-07-28  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.dpkg_ipkg (ipkg): Add prerm and postrm.

2002-07-22  Colin Marquardt  <colin@marquardt-home.de>

	* Makefile.dpkg_ipkg (Module): New file containing the dpkg and
	ipkg targets for inclusion in other Makefiles.

